ProcessingInstruction (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Interface ProcessingInstruction

All Superinterfaces:
  Cloneable, Node

All Known Implementing Classes:
  AbstractProcessingInstruction

public interface ProcessingInstruction
extends Node

`ProcessingInstruction` defines an XML processing instruction. The `Node.getName()`method will return the target of the PI and the `Node.getText()`method will return the data from all of the instructions.

Version:
  $Revision: 1.10 $
Author:
  James Strachan

Field Summary

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Method Summary
`String` | `getTarget()` This method is the equivalent to the `Node.getName()`method.
`String` | `getText()` DOCUMENT ME!
`String` | `getValue(String name)` Returns the value of a specific name in the PI.
`Map` | `getValues()` DOCUMENT ME!
`boolean` | `removeValue(String name)`
`void` | `setTarget(String target)` This method is the equivalent to the `Node.setName(java.lang.String)`method.
`void` | `setValue(String name, String value)`
`void` | `setValues(Map data)`

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getParent, getPath, getPath, getStringValue, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf, write`

Method Detail

### getTarget

    public String getTarget()

  This method is the equivalent to the `Node.getName()`method. It is added for clarity.

  Returns:
    the target of this PI

### setTarget

    public void setTarget(String target)

  This method is the equivalent to the `Node.setName(java.lang.String)`method. It is added for clarity.

  Parameters:
    `target` - DOCUMENT ME!

### getText

    public String getText()

  DOCUMENT ME!

  Specified by:
    `getText` in interface `Node`
  Returns:
    the text for all the data associated with the processing instruction

### getValue

    public String getValue(String name)

  Returns the value of a specific name in the PI.

  Parameters:
    `name` - is the name of the attribute to lookup.
  Returns:
    the value of the named attribute

### getValues

    public Map getValues()

  DOCUMENT ME!

  Returns:
    the values for this processing instruction as a Map

### setValue

    public void setValue(String name,
                         String value)

### setValues

    public void setValues(Map data)

### removeValue

    public boolean removeValue(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.